Bug 55532 - RFE: Please allow for partition table recovery
RFE: Please allow for partition table recovery
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-01 13:15 EST by Joshua Jensen
Modified: 2014-03-16 22:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-14 12:28:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2001-11-01 13:15:14 EST
It would be nice if we had Gpart
http://www.stud.uni-hannover.de/user/76201/gpart/
or even just what is now /sbin/rescuept in the rescue environement.
This would extend the rescue mode's capabilities to include recoving
partions after a total loss of the partition table.
Please consider,

Joshua Jensen
Comment 1 Brent Fox 2001-11-08 23:03:46 EST
msf, what do you think about this?  Gpart looks useful, but I haven't used it
myself, so I don't know how well it works.
Comment 2 Jeremy Katz 2002-04-08 20:45:06 EDT
We're not shipping gpart yet, so deferring to a future release.
Comment 3 Joshua Jensen 2003-01-03 12:56:17 EST
gpart would be a beautiful thing in the next release of RHL and RHL AS.
Comment 4 Joshua Jensen 2003-08-08 17:02:19 EDT
What are the chances of seeing it soon?
Comment 5 Joshua Jensen 2004-06-21 12:03:08 EDT
gpart in anaconda's environment would be GREAT for Fedora Core 3!!!
Comment 6 Jeremy Katz 2004-09-22 14:32:21 EDT
If we start shipping gpart, I'll consider adding it to the rescue
environment
Comment 7 Joshua Jensen 2005-06-06 11:38:26 EDT
Floppies images don't exist... we have the space!  Any word on this?
Comment 8 Bill Nottingham 2005-06-06 12:04:15 EDT
 Does gpart support GPT as well as MS-DOS style partitions?
Comment 9 Joshua Jensen 2005-06-07 11:22:08 EDT
I just checked with the author of gpart, Michail Brzitwa, and he tells me:

"No it doesn't. However there are talks to integrate gpart into another
bigger project which itself should be aware of said gpt tables. This
will take some time."

So sounds like the answer is "no".... is that a deal breaker?
Comment 10 Bill Nottingham 2005-06-07 12:35:20 EDT
We currently require:

a) gpt tables on ia64
b) gpt tables for > 2TB disks on x86/x86_64
c) mac partition tables on PPC

I'd *like* such a tool to be able to handle all of those.
Comment 11 Joshua Jensen 2005-06-07 15:14:51 EDT
I knew about ia64 and ppc, didn't know GPT was on the table for x86/x86_64.  Cool.

Anyway, gpart for some is better than nothing for anyone :-)
Comment 12 Chris Lumens 2005-06-10 15:03:57 EDT
Built into Rawhide.  It's still going to need some work to support x86_64 though.
Comment 13 Joshua Jensen 2005-12-28 11:09:34 EST
How is it coming?
Comment 14 Joshua Jensen 2006-03-14 10:50:20 EST
How is this coming?  Is it in FC5 ?
Comment 15 Bill Nottingham 2006-03-14 12:28:05 EST
2005-06-15  Chris Lumens  <clumens@redhat.com>

        * scripts/upd-instroot:  Add gpart to the i386 rescue image (#55532).

Closing. :)

Note You need to log in before you can comment on or make changes to this bug.